summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--install_scripts/krakensdr_aarch64_install_doa_pr.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/install_scripts/krakensdr_aarch64_install_doa_pr.sh b/install_scripts/krakensdr_aarch64_install_doa_pr.sh
index 17880d4..1954f2b 100644
--- a/install_scripts/krakensdr_aarch64_install_doa_pr.sh
+++ b/install_scripts/krakensdr_aarch64_install_doa_pr.sh
@@ -1,4 +1,16 @@
#!/bin/bash
+
+# Prevent sudo timeout
+sudo -v # ask for sudo password up-front
+while true; do
+ # Update user's timestamp without running a command
+ sudo -nv; sleep 1m
+ # Exit when the parent process is not running any more. In fact this loop
+ # would be killed anyway after being an orphan(when the parent process
+ # exits). But this ensures that and probably exit sooner.
+ kill -0 $$ 2>/dev/null || exit
+done &
+
sudo apt update
sudo apt -y install build-essential git cmake libusb-1.0-0-dev lsof libzmq3-dev clang php-cli nodejs gpsd libfftw3-3 libfftw3-dev